Package org.silverpeas.components.resourcesmanager.model

## Class ReservedResourcePk

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.model.ReservedResourcePk

- All Implemented Interfaces:
    `Serializable`, `Comparable<org.silverpeas.core.persistence.datasource.model.EntityIdentifier>`, `org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier`, `org.silverpeas.core.persistence.datasource.model.EntityIdentifier`, `org.silverpeas.core.persistence.datasource.model.ExternalEntityIdentifier`, `org.silverpeas.core.ResourceIdentifier`

      @Embeddable
      public class ReservedResourcePk
      extends Object
      implements org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

  Author:
    ehugonnet
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `RR_RESERVATION_POSITION` |
    `static int` | `RR_RESOURCE_POSITION` |

    - ### Fields inherited from interface org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

      `COMPOSITE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReservedResourcePk()` |
    `ReservedResourcePk​(long resourceId, long reservationId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `asString()` |
    `boolean` | `equals​(Object obj)` |
    `ReservedResourcePk` | `fromString​(String... values)` |
    `long` | `getReservationId()` |
    `long` | `getResourceId()` |
    `int` | `hashCode()` |
    `boolean` | `isNull()` |
    `void` | `setReservationId​(long reservationId)` |
    `void` | `setResourceId​(long resourceId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

      `setFromString`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.EntityIdentifier

      `compareTo`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.ExternalEntityIdentifier

      `generateNewValue`

- - ### Field Detail

    - #### RR_RESOURCE_POSITION

          public static final int RR_RESOURCE_POSITION

      See Also:
        Constant Field Values

    - #### RR_RESERVATION_POSITION

          public static final int RR_RESERVATION_POSITION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReservedResourcePk

          public ReservedResourcePk()

    - #### ReservedResourcePk

          public ReservedResourcePk​(long resourceId,
                                    long reservationId)

  - ### Method Detail

    - #### getReservationId

          public long getReservationId()

    - #### setReservationId

          public void setReservationId​(long reservationId)

    - #### getResourceId

          public long getResourceId()

    - #### setResourceId

          public void setResourceId​(long resourceId)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### fromString

          public ReservedResourcePk fromString​(String... values)

      Specified by:
        `fromString` in interface `org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier`

    - #### asString

          public String asString()

      Specified by:
        `asString` in interface `org.silverpeas.core.ResourceIdentifier`

    - #### isNull

          public boolean isNull()

      Specified by:
        `isNull` in interface `org.silverpeas.core.persistence.datasource.model.EntityIdentifier`